{  ... }:
{
  home.file.".config/hypr/wallpaper.png" = {
    source = ../../../wallpapers/default.png;
  };

  services.hyprpaper = let
    default = "/home/lilith/.config/hypr/wallpaper.png"; 
    in {
    enable = true;

    settings = {
      splash = false;

      preload = [ default ];

      wallpaper = [
        ",${default}"
      ];
    };
  };
}
